Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » AJDT » Aspect Visualizer Failure
Aspect Visualizer Failure [message #38426] Thu, 15 July 2004 16:36 Go to next message
Bob Ollerton is currently offline Bob OllertonFriend
Messages: 8
Registered: July 2009
Junior Member
I have successfully compiled and run a simple simulation model developed
with AspectJ but the Aspect Visualizer is failing. When I invoke it, all
I see are gray bars and the Error Log says:
"Exception creating editor: the file does not exist." ...
"org.eclipse.ui"

I am wondering whether I have missing or incompatible features or program
components. Can anyone tell what the problem is from the following
information? If not, I would appreciate advice on what the most reliable
AspectJ version configuration is.

Thanks,
Bob

ps. Sorry about previous incomplete post. I accidently hit a key that
automatically sent the post - don't know what key it is yet though.

----------------------------------------------

I am using Eclipse Version: 3.0.0 Build id: 200406251208

The "About Eclipse Platform Features" panel says
Eclipse AspectJ Development Tools Version: 1.1.7 Build id: 1.2.0

The AspectJ Development Tools feature line for AspectJ Development Tools
says version 1.1.10 and Feature Id: org.eclipse.aspectj

The Plug-in details for the AspectJ Development Tools feature say:
Provider (for all 4 features): Eclipse.org
Plug-in Name, Version, Plug-in Id
- AspectDemos, 0.6.10, org.eclipse.ajdt.examples
- AspectJ Development Tools, 1.1.10, org.eclipse.aspectj
- AspectJ Development Tools (AJDT) –UI, 0.6.10, org.eclipse.ajdt.ui
- org.aspectj.ajde, 1.1.10, org.aspectj.ajde
Re: Aspect Visualizer Failure [message #38459 is a reply to message #38426] Thu, 15 July 2004 17:17 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: mchapman.uk.ibm.com

Hi Bob,

Firstly, the message in the error log doesn't sound relevant to the
visualiser.

You're using AJDT version 1.1.10. (the 1.1.7 string in the about
page is incorrect). It looks like your configuration is okay, although
1.1.10 was released before your version of Eclipse (3.0 final) so we
couldn't test that combination. AJDT 1.1.11 for Eclipse 3.0 final is due
for release very soon, and I'd definitely recommend upgrading to that
version then.

In the meantime, you could check that your project is being built
correctly by looking for advice markers on the left of the editor.
Also, you could try these steps using one of the bundled
examples:
File > New > Other
Expand "AspectJ", then "AspectJ Examples" Select "TJP Example" and hit
Next, then Finish Expand the newly created project, and open Demo.java in
the editor Check for advice markers down the left hand edge of the editor
Switch to the Aspect Visualization perspective Select "TJP Example" in
the "Projects" view
The visualiser should now show Demo.java with three stripes, and
GetInfo.java will be gray (as it is an aspect).

Hope that helps,

Matt.

On Thu, 15 Jul 2004 16:36:36 +0000, Bob Ollerton wrote:
> I have successfully compiled and run a simple simulation model developed
> with AspectJ but the Aspect Visualizer is failing. When I invoke it, all
> I see are gray bars and the Error Log says:
> "Exception creating editor: the file does not exist." ...
> "org.eclipse.ui"
>
> I am wondering whether I have missing or incompatible features or program
> components. Can anyone tell what the problem is from the following
> information? If not, I would appreciate advice on what the most reliable
> AspectJ version configuration is.
>
> Thanks,
> Bob
>
> ps. Sorry about previous incomplete post. I accidently hit a key that
> automatically sent the post - don't know what key it is yet though.
>
> ----------------------------------------------
>
> I am using Eclipse Version: 3.0.0 Build id: 200406251208
>
> The "About Eclipse Platform Features" panel says
> Eclipse AspectJ Development Tools Version: 1.1.7 Build id: 1.2.0
>
> The AspectJ Development Tools feature line for AspectJ Development Tools
> says version 1.1.10 and Feature Id: org.eclipse.aspectj
>
> The Plug-in details for the AspectJ Development Tools feature say:
> Provider (for all 4 features): Eclipse.org Plug-in Name, Version, Plug-in
> Id
> - AspectDemos, 0.6.10, org.eclipse.ajdt.examples - AspectJ Development
> Tools, 1.1.10, org.eclipse.aspectj - AspectJ Development Tools (AJDT)
> –UI, 0.6.10, org.eclipse.ajdt.ui - org.aspectj.ajde, 1.1.10,
> org.aspectj.ajde
Re: Aspect Visualizer Failure [message #38492 is a reply to message #38459] Thu, 15 July 2004 19:50 Go to previous message
Bob Ollerton is currently offline Bob OllertonFriend
Messages: 8
Registered: July 2009
Junior Member
Hi Matt,

Thank you.

I cleaned and rebuilt it and seemed to have to click on a couple of
things, but it works.

Regards,
Bob

Matt Chapman wrote:

> Hi Bob,

> Firstly, the message in the error log doesn't sound relevant to the
> visualiser.

> You're using AJDT version 1.1.10. (the 1.1.7 string in the about
> page is incorrect). It looks like your configuration is okay, although
> 1.1.10 was released before your version of Eclipse (3.0 final) so we
> couldn't test that combination. AJDT 1.1.11 for Eclipse 3.0 final is due
> for release very soon, and I'd definitely recommend upgrading to that
> version then.

> In the meantime, you could check that your project is being built
> correctly by looking for advice markers on the left of the editor.
> Also, you could try these steps using one of the bundled
> examples:
> File > New > Other
> Expand "AspectJ", then "AspectJ Examples" Select "TJP Example" and hit
> Next, then Finish Expand the newly created project, and open Demo.java in
> the editor Check for advice markers down the left hand edge of the editor
> Switch to the Aspect Visualization perspective Select "TJP Example" in
> the "Projects" view
> The visualiser should now show Demo.java with three stripes, and
> GetInfo.java will be gray (as it is an aspect).

> Hope that helps,

> Matt.

> On Thu, 15 Jul 2004 16:36:36 +0000, Bob Ollerton wrote:
> > I have successfully compiled and run a simple simulation model developed
> > with AspectJ but the Aspect Visualizer is failing. When I invoke it, all
> > I see are gray bars and the Error Log says:
> > "Exception creating editor: the file does not exist." ...
> > "org.eclipse.ui"
> >
> > I am wondering whether I have missing or incompatible features or program
> > components. Can anyone tell what the problem is from the following
> > information? If not, I would appreciate advice on what the most reliable
> > AspectJ version configuration is.
> >
> > Thanks,
> > Bob
> >
> > ps. Sorry about previous incomplete post. I accidently hit a key that
> > automatically sent the post - don't know what key it is yet though.
> >
> > ----------------------------------------------
> >
> > I am using Eclipse Version: 3.0.0 Build id: 200406251208
> >
> > The "About Eclipse Platform Features" panel says
> > Eclipse AspectJ Development Tools Version: 1.1.7 Build id: 1.2.0
> >
> > The AspectJ Development Tools feature line for AspectJ Development Tools
> > says version 1.1.10 and Feature Id: org.eclipse.aspectj
> >
> > The Plug-in details for the AspectJ Development Tools feature say:
> > Provider (for all 4 features): Eclipse.org Plug-in Name, Version, Plug-in
> > Id
> > - AspectDemos, 0.6.10, org.eclipse.ajdt.examples - AspectJ Development
> > Tools, 1.1.10, org.eclipse.aspectj - AspectJ Development Tools (AJDT)
> > –UI, 0.6.10, org.eclipse.ajdt.ui - org.aspectj.ajde, 1.1.10,
> > org.aspectj.ajde
Re: Aspect Visualizer Failure [message #581459 is a reply to message #38426] Thu, 15 July 2004 17:17 Go to previous message
Matt Chapman is currently offline Matt ChapmanFriend
Messages: 429
Registered: July 2009
Senior Member
Hi Bob,

Firstly, the message in the error log doesn't sound relevant to the
visualiser.

You're using AJDT version 1.1.10. (the 1.1.7 string in the about
page is incorrect). It looks like your configuration is okay, although
1.1.10 was released before your version of Eclipse (3.0 final) so we
couldn't test that combination. AJDT 1.1.11 for Eclipse 3.0 final is due
for release very soon, and I'd definitely recommend upgrading to that
version then.

In the meantime, you could check that your project is being built
correctly by looking for advice markers on the left of the editor.
Also, you could try these steps using one of the bundled
examples:
File > New > Other
Expand "AspectJ", then "AspectJ Examples" Select "TJP Example" and hit
Next, then Finish Expand the newly created project, and open Demo.java in
the editor Check for advice markers down the left hand edge of the editor
Switch to the Aspect Visualization perspective Select "TJP Example" in
the "Projects" view
The visualiser should now show Demo.java with three stripes, and
GetInfo.java will be gray (as it is an aspect).

Hope that helps,

Matt.

On Thu, 15 Jul 2004 16:36:36 +0000, Bob Ollerton wrote:
> I have successfully compiled and run a simple simulation model developed
> with AspectJ but the Aspect Visualizer is failing. When I invoke it, all
> I see are gray bars and the Error Log says:
> "Exception creating editor: the file does not exist." ...
> "org.eclipse.ui"
>
> I am wondering whether I have missing or incompatible features or program
> components. Can anyone tell what the problem is from the following
> information? If not, I would appreciate advice on what the most reliable
> AspectJ version configuration is.
>
> Thanks,
> Bob
>
> ps. Sorry about previous incomplete post. I accidently hit a key that
> automatically sent the post - don't know what key it is yet though.
>
> ----------------------------------------------
>
> I am using Eclipse Version: 3.0.0 Build id: 200406251208
>
> The "About Eclipse Platform Features" panel says
> Eclipse AspectJ Development Tools Version: 1.1.7 Build id: 1.2.0
>
> The AspectJ Development Tools feature line for AspectJ Development Tools
> says version 1.1.10 and Feature Id: org.eclipse.aspectj
>
> The Plug-in details for the AspectJ Development Tools feature say:
> Provider (for all 4 features): Eclipse.org Plug-in Name, Version, Plug-in
> Id
> - AspectDemos, 0.6.10, org.eclipse.ajdt.examples - AspectJ Development
> Tools, 1.1.10, org.eclipse.aspectj - AspectJ Development Tools (AJDT)
> –UI, 0.6.10, org.eclipse.ajdt.ui - org.aspectj.ajde, 1.1.10,
> org.aspectj.ajde
Re: Aspect Visualizer Failure [message #581480 is a reply to message #38459] Thu, 15 July 2004 19:50 Go to previous message
Bob Ollerton is currently offline Bob OllertonFriend
Messages: 8
Registered: July 2009
Junior Member
Hi Matt,

Thank you.

I cleaned and rebuilt it and seemed to have to click on a couple of
things, but it works.

Regards,
Bob

Matt Chapman wrote:

> Hi Bob,

> Firstly, the message in the error log doesn't sound relevant to the
> visualiser.

> You're using AJDT version 1.1.10. (the 1.1.7 string in the about
> page is incorrect). It looks like your configuration is okay, although
> 1.1.10 was released before your version of Eclipse (3.0 final) so we
> couldn't test that combination. AJDT 1.1.11 for Eclipse 3.0 final is due
> for release very soon, and I'd definitely recommend upgrading to that
> version then.

> In the meantime, you could check that your project is being built
> correctly by looking for advice markers on the left of the editor.
> Also, you could try these steps using one of the bundled
> examples:
> File > New > Other
> Expand "AspectJ", then "AspectJ Examples" Select "TJP Example" and hit
> Next, then Finish Expand the newly created project, and open Demo.java in
> the editor Check for advice markers down the left hand edge of the editor
> Switch to the Aspect Visualization perspective Select "TJP Example" in
> the "Projects" view
> The visualiser should now show Demo.java with three stripes, and
> GetInfo.java will be gray (as it is an aspect).

> Hope that helps,

> Matt.

> On Thu, 15 Jul 2004 16:36:36 +0000, Bob Ollerton wrote:
> > I have successfully compiled and run a simple simulation model developed
> > with AspectJ but the Aspect Visualizer is failing. When I invoke it, all
> > I see are gray bars and the Error Log says:
> > "Exception creating editor: the file does not exist." ...
> > "org.eclipse.ui"
> >
> > I am wondering whether I have missing or incompatible features or program
> > components. Can anyone tell what the problem is from the following
> > information? If not, I would appreciate advice on what the most reliable
> > AspectJ version configuration is.
> >
> > Thanks,
> > Bob
> >
> > ps. Sorry about previous incomplete post. I accidently hit a key that
> > automatically sent the post - don't know what key it is yet though.
> >
> > ----------------------------------------------
> >
> > I am using Eclipse Version: 3.0.0 Build id: 200406251208
> >
> > The "About Eclipse Platform Features" panel says
> > Eclipse AspectJ Development Tools Version: 1.1.7 Build id: 1.2.0
> >
> > The AspectJ Development Tools feature line for AspectJ Development Tools
> > says version 1.1.10 and Feature Id: org.eclipse.aspectj
> >
> > The Plug-in details for the AspectJ Development Tools feature say:
> > Provider (for all 4 features): Eclipse.org Plug-in Name, Version, Plug-in
> > Id
> > - AspectDemos, 0.6.10, org.eclipse.ajdt.examples - AspectJ Development
> > Tools, 1.1.10, org.eclipse.aspectj - AspectJ Development Tools (AJDT)
> > –UI, 0.6.10, org.eclipse.ajdt.ui - org.aspectj.ajde, 1.1.10,
> > org.aspectj.ajde
Previous Topic:Aspect Visualizer Failure
Next Topic:AJDT 1.1.11 released for Eclipse 3.0
Goto Forum:
  


Current Time: Wed Nov 26 20:53:40 GMT 2014

Powered by FUDForum. Page generated in 0.01661 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software